
#include "serverexchange/firmware/FirmwareManager.h"
#include "ServerExchangeManagerMock.h"

namespace NS_DM_Client
{

using namespace NS_Communication;
bool ServerExchangeManagerMock::Init(const StringMap& settings, const String& loggerInstance, ProfileComponentsHolder& pch)
{

    return true;
}

bool ServerExchangeManagerMock::Start()
{

    return true;
}

bool ServerExchangeManagerMock::Stop()
{

    return true;
}

void ServerExchangeManagerMock::Release()
{

}


void ServerExchangeManagerMock::AddCommand(NS_SyncMLCommand::SCommandPtr ptrCommand, const char *connid)
{

}
void ServerExchangeManagerMock::AddCommands(NS_SyncMLCommand::SCommandsArray &commands, const char *connid)
{

}
NS_Communication::Connection * ServerExchangeManagerMock::DefaultConnection()
{
	return NULL;
}
void ServerExchangeManagerMock::HandleNetworkEntrance(int homeNspID, const char* operatorName, bool startWIB)
{

}
void ServerExchangeManagerMock::NotifyDiagnosticsReady(String &serverID, String &origID)
{

}
void ServerExchangeManagerMock::NotifyFWJobStatus(String &serverID, int result, ExecPtr &exec, const char *alertType)
{
	
}
bool ServerExchangeManagerMock::HasAccountFor(String &serverID)
{
	return false;
}
void ServerExchangeManagerMock::SetServerPollerInfo(bool pollingSupported, int pollingInterval, int pollingAttempts)
{

}
void ServerExchangeManagerMock::SetConnectionsInfo(NS_Communication::ConnInfoList &)
{

}
void ServerExchangeManagerMock::SetDevInfo(Funambol::DevInf &devInf)
{

}
void ServerExchangeManagerMock::StartClientSession()
{

}
void ServerExchangeManagerMock::StartClientSession(NS_SyncMLCommand::SAlertCommandPtr ptrAlert)
{
	
}
void ServerExchangeManagerMock::RequestFWUpdate(bool userInitiated, const char *fumouri, int data)
{

}
void ServerExchangeManagerMock::RequestSessionStart(const NS_NotificationListener::SessionInfo& sessionInfo)
{

}

void ServerExchangeManagerMock::ProcessBootstrapMessage(const char *bsm, uint length)
{
}

void ServerExchangeManagerMock::UpdateFW(ExecPtr cmd)
{

}

void ServerExchangeManagerMock::StartWIB()
{
}

NS_Communication::FirmwareManager* ServerExchangeManagerMock::GetFirmwareManager()
{
	return NULL;
}

}
